[MIR] libquvi

Bug #722591 reported by Martin Pitt on 2011-02-21
10
This bug affects 1 person
Affects Status Importance Assigned to Milestone
libquvi (Ubuntu)
High
Unassigned

Bug Description

 o libquvi: libquvi-dev libquvi-doc libquvi0
   [Reverse-Depends: Rescued from libquvi, libquvi-dev]
   [Reverse-Build-Depends: totem-pl-parser]

TBD..

Martin Pitt (pitti) on 2011-02-21
Changed in libquvi (Ubuntu):
assignee: nobody → Martin Pitt (pitti)
status: New → Incomplete
Martin Pitt (pitti) wrote :

I checked all points from https://wiki.ubuntu.com/UbuntuMainInclusionRequirements. Noteworthy comments:

 - well maintained in Debian for about a year now; package got bugs, and all of them got fixed so far

 - libquvi0 is badly packaged, it has files in non SONAME specific directory /usr/share/quvi/lua/ . I just filed a bug about this. If there is a SONAME bump, we could work around this with a Replaces:, so it's not a total blocker for MIR, but at least should be called out.

 - The code doesn't use any dynamic memory allocation at all (only in the autogenerated cmdline.c, from gengetopt), and in general looks careful. I checked for some common security pitfalls, looks fine. It's not much C code anyway.

Changed in libquvi (Ubuntu):
status: Incomplete → New
assignee: Martin Pitt (pitti) → nobody
importance: Undecided → High
Martin Pitt (pitti) wrote :

Debian bug report for packaging: http://bugs.debian.org/614384

Michael Terry (mterry) on 2011-02-22
Changed in libquvi (Ubuntu):
assignee: nobody → Kees Cook (kees)
Kees Cook (kees) wrote :

The shared object naming is kind of nasty, but for natty, I think this will be okay. Debian will have the same SONAME bump pain, and there's no good reason to do the transition out of sync with them.

My main problem with this is that it will eventually age and need SRUing in stable releases when upstream video services change their behaviors.

But I don't see anything that jumps out at me. +1

Changed in libquvi (Ubuntu):
status: New → Fix Committed
assignee: Kees Cook (kees) → nobody
Matthias Klose (doko) wrote :

2011-03-07 16:37:33 INFO Override Component to: 'main'
2011-03-07 16:37:42 INFO 'libquvi - 0.2.11-1/universe/libs' source overridden
2011-03-07 16:37:43 INFO 'libquvi-dev-0.2.11-1/universe/libdevel/EXTRA' binary overridden in natty/amd64
2011-03-07 16:37:43 INFO 'libquvi-dev-0.2.11-1/universe/libdevel/EXTRA' binary overridden in natty/armel
2011-03-07 16:37:43 INFO 'libquvi-dev-0.2.11-1/universe/libdevel/EXTRA' binary overridden in natty/i386
2011-03-07 16:37:43 INFO 'libquvi-dev-0.2.11-1/universe/libdevel/EXTRA' binary overridden in natty/powerpc
2011-03-07 16:37:43 INFO 'libquvi-doc-0.2.11-1/universe/doc/EXTRA' binary overridden in natty/amd64
2011-03-07 16:37:43 INFO 'libquvi-doc-0.2.11-1/universe/doc/EXTRA' binary overridden in natty/armel
2011-03-07 16:37:43 INFO 'libquvi-doc-0.2.11-1/universe/doc/EXTRA' binary overridden in natty/i386
2011-03-07 16:37:43 INFO 'libquvi-doc-0.2.11-1/universe/doc/EXTRA' binary overridden in natty/powerpc
2011-03-07 16:37:43 INFO 'libquvi0-0.2.11-1/universe/libs/EXTRA' binary overridden in natty/amd64
2011-03-07 16:37:43 INFO 'libquvi0-0.2.11-1/universe/libs/EXTRA' binary overridden in natty/armel
2011-03-07 16:37:43 INFO 'libquvi0-0.2.11-1/universe/libs/EXTRA' binary overridden in natty/i386
2011-03-07 16:37:43 INFO 'libquvi0-0.2.11-1/universe/libs/EXTRA' binary overridden in natty/powerpc
2011-03-07 16:37:43 INFO 'quvi-0.2.11-1/universe/utils/EXTRA' binary overridden in natty/amd64
2011-03-07 16:37:43 INFO 'quvi-0.2.11-1/universe/utils/EXTRA' binary overridden in natty/armel
2011-03-07 16:37:43 INFO 'quvi-0.2.11-1/universe/utils/EXTRA' binary overridden in natty/i386
2011-03-07 16:37:43 INFO 'quvi-0.2.11-1/universe/utils/EXTRA' binary overridden in natty/powerpc

Changed in libquvi (Ubuntu):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.